Jump to content

Sign in to follow this  
Skywolf

First reactions to P3Dv4.4

Recommended Posts

To the people disappointed that the A36 Bonanza is missing, I did manage to copy over the SimObject and gauge files and it seemed to work just fine. So, just back up those A36 files before uninstalling the previous version of P3D.

I also decided to reinitialize my ORBX add ons, and that seemed to resolve whatever scenery texture tile issues I was having.

Overall though, I still experience no difference in FPS. It may actually be a little worse even (and this is with identical settings). Perhaps it's because my config file settings are not the same. So I may have to go back and play around with those some more.

I think I notice the ground textures are a bit sharper, but I still fail to see any kind of PBR modeling in their F16. I also don't see any difference with the moon lighting.

Share this post


Link to post

 

PAUSE:   I haven't had a chance to upgrade my P3D to 4.4 due to work. But, I hope the answer to this questions makes everyone excited  (including me) , and not slam us to the ground at 5,000 FPM. 😂

                 So, here's the question:  Does this new lighting (PBR) for P3D V4.4 covers the entire SIM immediately,  or will it only reflect on third-party add-ons (if) they make it PBR compatible?  Please answer only if you're 100% certain- not if you "think" it covers the entire Sim. 

Edited by joemiller

Share this post


Link to post
1 hour ago, joemiller said:

 

PAUSE:   I haven't had a chance to upgrade my P3D to 4.4 due to work. But, I hope the answer to this questions makes everyone excited  (including me) , and not slam us to the ground at 5,000 FPM. 😂

                 So, here's the question:  Does this new lighting (PBR) for P3D V4.4 covers the entire SIM immediately,  or will it only reflect on third-party add-ons (if) they make it PBR compatible?  Please answer only if you're 100% certain- not if you "think" it covers the entire Sim. 

So if you are asking whether you will see what has been posted in the above Flytampa video at a default airport, in rainy conditions , the answer is no. 

Share this post


Link to post

Finally got around to installing 4.4. Did client first and got rid of the old Prepar3D.cfg and Shaders. All seemed well, so also swapped out the content folder. Opened up FTX Central and also forced a re-migration of the scenery, as I ahd read some people had some issues with landclass tilings.

Did some tests around KSLC, EHAM and the default starting location with mostly default aircraft. I personally dont see a performance increase, but also not a decrease. I also don't see faster loading of the main screen. What I do see is that finally the flight planner works as normal: in 4.3 I had to load a flight plan made outside P3D twice in order to get it to load okay - now it's fine in one go! Also, as all have said already, finally the photoreal textures are nice and crisp out into the distance! I haven't really flown around much, but this is definitely a big improvement. I'm curious to see how it will work out when I do an actual flight over FTX NL. I've also noticed that indeed at airports textures stay in memory for longer, but not as long as I'd like. I'm guessing I will have to fiddle with the relevant slider more.

Anyway, will do some more testing, but it's looking good! Slowly by slowly LM is catching up to modern games 😉


Benjamin van Soldt

Windows 10 64bit - i5-8600k @ 4.8GHz - ASRock Fatality K6 Z370 - EVGA GTX1070 SC 8GB VRAM - 16GB Corsair Vengeance LPX @ 3200MHz - Samsung 960 Evo SSD M.2 NVMe 500GB - 2x Samsung 860 Evo SSD 1TB (P3Dv4 drive) - Seagate Barracuda 2TB 7200RPM - Seasonic FocusPlus Gold 750W - Noctua DH-15S - Fractal Design Focus G (White) Case

Share this post


Link to post
1 hour ago, ErichB said:

So if you are asking whether you will see what has been posted in the above Flytampa video at a default airport, in rainy conditions , the answer is no. 

 

. ok... That's a 10,000 FPM  fall.  Well. I thought it  would be too much to expect for Lockheed to change the entire sim's texture to PBR.

So, if I understand correctly the general lighting such Aerofly FS2  has,   is not the case here, correct?  (Which by the way, the lighting in Aerofly FS2  looks so  real.)  

Edited by joemiller

Share this post


Link to post
1 hour ago, Benjamin J said:

Finally got around to installing 4.4. Did client first and got rid of the old Prepar3D.cfg and Shaders. All seemed well, so also swapped out the content folder. Opened up FTX Central and also forced a re-migration of the scenery, as I ahd read some people had some issues with landclass tilings.

Did some tests around KSLC, EHAM and the default starting location with mostly default aircraft. I personally dont see a performance increase, but also not a decrease. I also don't see faster loading of the main screen. What I do see is that finally the flight planner works as normal: in 4.3 I had to load a flight plan made outside P3D twice in order to get it to load okay - now it's fine in one go! Also, as all have said already, finally the photoreal textures are nice and crisp out into the distance! I haven't really flown around much, but this is definitely a big improvement. I'm curious to see how it will work out when I do an actual flight over FTX NL. I've also noticed that indeed at airports textures stay in memory for longer, but not as long as I'd like. I'm guessing I will have to fiddle with the relevant slider more.

Anyway, will do some more testing, but it's looking good! Slowly by slowly LM is catching up to modern games 😉

 lol.. Are you sure you used the V4.4 installer and not the4.3 ?   (just kidding)  

Share this post


Link to post
6 hours ago, grandfred29 said:

PBR demo play by FlyTampa, awesome

 

 Looks nice. Imagine if the entire sim was like this ? Perhaps several full versions away. But, hey we have to thank Loockheed for making FSX better--  and continues making it much better. So, yeah we've come a long way.  Hopefully some day it will become a brand new sim. 

Developers now have more amo to exploit their artistic skills. 

Edited by joemiller

Share this post


Link to post
9 hours ago, Christopher Low said:

I understand the NDA during beta testing. However, would it not be a good idea for one or more beta testers to report major incompatibilities on AVSIM (for example) as soon as the latest version is released? I never see this happen. It always seems to be a case of users "discovering" that an addon is incompatible, and generally when they have already upgraded.

Let me see if I can help.... if your addon uses any hacks or other 'techniques' that step outside the SDK and are rather tightly anchored to the physical version code... it's incompatible.  Period.  You don't need beta testers to tell you.


Ed Wilson

Mindstar Aviation
My Playland - I69

Share this post


Link to post
6 minutes ago, WarpD said:

Let me see if I can help.... if your addon uses any hacks or other 'techniques' that step outside the SDK and are rather tightly anchored to the physical version code... it's incompatible.  Period.  You don't need beta testers to tell you.

Well, he has a good question, and  your answer provided very little to no help. However, to answer his question, i would say that depending on what was changed by Lockheed Martin in the update, that's what will be affected. 

Therefore- as is the current case- it's up to the developers to make it 'compatible.'  I don't believe developers will take the time to post "that their products are not compatible,"  but rather that they ARE working on making it compatible. (Of course for those who want to make it compatible)   

Ok time for a break. lol 

Share this post


Link to post
13 hours ago, Christopher Low said:

I remain puzzled why incompatibility with certain addons is never mentioned when a new version of P3D is released. I don't expect Lockheed Martin to do this, but surely beta testers could have indicated that (for example) the FSL A320-X is currently incompatible with v4.4? It would save a few headaches for some users.

Lockheed very rarely does changes to the SDK that break addons. Usually the only addons affected with minor p3d version change are those which change core p3d files or hack their way into the sim outside the SDK. In both cases it's the responsibility of the developers of those addons to warn you about the issues, as they are very well aware of the problem from the start, they don't even need a new p3d version to test.

Some of the addons I've bought show a message when they detect incompatible p3d version and disable themselves automatically, so I can use the rest of the sim.

But some crash the sim at startup with no warning. If you are unhappy with such treatment, you really should report that to the developers of those addons. 😉


Mike Krawczyk

A2A Simulations

Share this post


Link to post

I see no performance improvements yet, in heavy areas in particular, but it is certainly no worse.

For me there was important bugfix on HUD transparency issue, and night performance increase with different cloud shading is welcome. Not tested it yet though.

Developers are going to be using the new v4.4 sdk for sure, and it states that objects compiled will not be backward compatible, because of the new pbr element, so take the plunge and upgrade, maybe once your favourite core extras have a patch. Developers of those seem to be moving fast.

Share this post


Link to post

Hi Everyone,

This is my first post on Avsim and I would like to thank everybody for the great posts which help a relatively new P3D user make sense of it all. 

So far after a re-install for P3dv4.4 all seems to be going well...still busy re-installing the addons, but I noticed that when I go to launch the PTA I get a red error message saying incompatible P3d version. Any idea how to solve this?

Cheers and thanks.

Share this post


Link to post
20 minutes ago, Recognition said:

Hi Everyone,

This is my first post on Avsim and I would like to thank everybody for the great posts which help a relatively new P3D user make sense of it all. 

So far after a re-install for P3dv4.4 all seems to be going well...still busy re-installing the addons, but I noticed that when I go to launch the PTA I get a red error message saying incompatible P3d version. Any idea how to solve this?

Cheers and thanks.

Welcome to the forums.

Yes, it's not compatible until Matt the developer makes an updated version, Hopefully, next week. So don't use it till we get the 4.4 version.

 

Edited by Nyxx

David Murden.  P3D v4.5  FSL A320 A319 : PMDG NGu / 748PMDG NG / 747-/ 777 : QW 787 :  Maddog MD-80 :Q400 :   DCS: AV-8B Harrier: :  F-14B Tomcat  : F-16C Viper F/A-18C Hornet 

My FSL Walkthrough PDF From GPU to Parked.     My PMDG NG SpotLight Profile/Mod.

PC 4790k@4.6 : 1070 : 16GB DDR3 RAM : Thrustmaster Warthog HOTAS: Thrustmaster TPR.

Share this post


Link to post
Guest
This topic is now closed to further replies.
Sign in to follow this  
×
×
  • Create New...